Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 13/01/2013, à 14:18

Judith

Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Bonjour, et bon dimanche à toutes et à tous. smile

Mon problème est le suivant:

Je viens de mettre à niveau ma version de UBUNTU LTS et suis passée de la 10 à la 12.04.1 LTS. Je suis photographe et utilise tous les jours DIGIKAM et son arborescence SHOWFOTO qui me permettent de traiter mes fichiers en 16 bits ( en attendant de pouvoir travailler avec The Gimp qui stagne à 8 bits - quel dommage!). J'ai toujours pu utiliser la dernière version jusqu'à ce que je mette à jour UBUNTU, mais à présent, le système me fait régresser à la version antérieure qui est beaucoup moins performante. Lorsque j'ouvre l'application, le message suivant apparaît:

Impossible d'effectuer la mise à jour du schéma de base de données de la version 5 vers la version 6. Veuillez lire les messages d'erreurs affichés sur le terminal et signaler cette erreur en tant que bogue sur bugs.kde.org

J'ai beau désinstaller, réinstaller, impossible de récupérer la dernière version stable!

Refusant catégoriquement de repasser sur  Windows pour utiliser les logiciels "concurrents" et très chers, je ne désespère pas de trouver une solution avec votre aide.

Merci de m'éclairer!

Dernière modification par Judith (Le 13/01/2013, à 16:38)

Hors ligne

#2 Le 13/01/2013, à 14:27

Shanx

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Ouvre un terminal et effectue les commandes suivantes :

sudo apt-get update
sudo apt-get install digikam

et dis nous ce que le terminal te sors (colle ici, mais entre balises code).


« En vérité, je ne voyage pas, moi, pour atteindre un endroit précis, mais pour marcher : simple plaisir de voyager. » R. L. Stevenson
--
Blog et randos

Hors ligne

#3 Le 13/01/2013, à 16:34

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Merci de ton aide.

Voila. C'est bizarre parce que je n'ai pas le dernière version stable qui est la 6 mais bien la 5 que j'avais dépassée depuis longtemps sur ma version antérieure LTS!

Que dois-je faire?

~$ sudo apt-get install digikam
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
digikam est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 15 non mis à jour.
 

Dernière modification par Judith (Le 13/01/2013, à 16:35)

Hors ligne

#4 Le 13/01/2013, à 16:42

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Je viens de vérifier aussi, comme digikam dépend, si j'ai bien compris de Kde, si cette aplli était aussi à jour et voila ce que le terminal me dit: cela ne viendrait pas de là par hasard, c'est juste une piste, mais bon, on ne sait jamais?

Aucune version du paquet kde n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « kde » n'a pas de version susceptible d'être installée

Hors ligne

#5 Le 13/01/2013, à 17:34

tiramiseb

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Judith : oublie ce que Shanx a écrit. Le paquet est bien installé et si tu avais des problèmes de dépendances avec d'autres paquets tu n'aurais même pas pu l'installer.

Si tu veux connaître la version du paquet installé, tu peux taper la commande suivante :

dpkg -l | grep digikam

Pour connaître l'erreur précise que digikam rencontre, il faut faire ce que digikam te dit de faire : l'exécuter à partir d'un terminal et regarder les messages d'erreur qui s'y affichent, pour éventuellement fournir un rapport de bug aux développeurs.

Quels sont les messages qui s'affichent sur le terminal quand tu exécutes digikam à partir d'un terminal ?


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#6 Le 13/01/2013, à 17:42

Shanx

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

tiramiseb a écrit :

Judith : oublie ce que Shanx a écrit. Le paquet est bien installé et si tu avais des problèmes de dépendances avec d'autres paquets tu n'aurais même pas pu l'installer.

Oui, en effet, désolé j’ai mal compris le problème. J’ai cru que le message d’erreur apparaissait lors de l’installation… roll


« En vérité, je ne voyage pas, moi, pour atteindre un endroit précis, mais pour marcher : simple plaisir de voyager. » R. L. Stevenson
--
Blog et randos

Hors ligne

#7 Le 13/01/2013, à 17:59

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

tiramiseb a écrit :

Judith : oublie ce que Shanx a écrit. Le paquet est bien installé et si tu avais des problèmes de dépendances avec d'autres paquets tu n'aurais même pas pu l'installer.

Si tu veux connaître la version du paquet installé, tu peux taper la commande suivante :

dpkg -l | grep digikam

Pour connaître l'erreur précise que digikam rencontre, il faut faire ce que digikam te dit de faire : l'exécuter à partir d'un terminal et regarder les messages d'erreur qui s'y affichent, pour éventuellement fournir un rapport de bug aux développeurs.

Quels sont les messages qui s'affichent sur le terminal quand tu exécutes digikam à partir d'un terminal ?

Version du paquet:

~$ dpkg -l | grep digikam
ii  digikam                                       4:2.5.0-1ubuntu2                                    digital photo management application for KDE
ii  digikam-data                                  4:2.5.0-1ubuntu2                                    digiKam architecture-independant data
ii  digikam-doc                                   4:2.5.0-1ubuntu2                                    handbook for digiKam and showFoto in several languages
ii  libkface-data                                 1.0~digikam2.5.0-1ubuntu2                           Data files for libkface
ii  libkface1                                     1.0~digikam2.5.0-1ubuntu2                           LibFace wrapper for Qt/C++
ii  libkgeomap-data                               1.0~digikam2.5.0-1ubuntu2                           Data files for libkgeomap
ii  libkgeomap1                                   1.0~digikam2.5.0-1ubuntu2                           World-map wrapper to browse and arrange photos over a map
ii  libkvkontakte1                                1.0~digikam2.5.0-1ubuntu2                           vkontakte.ru library

Lancement de Digikam sur le terminal:

~$ digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(12956)/digikam (core): Schema update to V6 failed! 

Hors ligne

#8 Le 13/01/2013, à 22:31

tiramiseb

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

En cherchant cette erreur (QSqlDatabasePrivate::blablabla jusqu'à cease to work) sur Google je trouve plein de discussions sur différents forums.

Je ne saurais pas trouver ta solution mais au moins tu as avancé d'un pas, tu as un message d'erreur...


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#9 Le 14/01/2013, à 01:04

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

tiramiseb a écrit :

En cherchant cette erreur (QSqlDatabasePrivate::blablabla jusqu'à cease to work) sur Google je trouve plein de discussions sur différents forums.

Je ne saurais pas trouver ta solution mais au moins tu as avancé d'un pas, tu as un message d'erreur...

C'est gentil, Tiramisu, mais pour l'heure, je suis obligée de bosser avec une application beaucoup moins bonne que celle que j'utilisais. J'ai essayé Rawtherapee, mais la moitié des fonctions sont inopérantes!

Bon, on va finir par trouver, c'est sûr.....;)

Hors ligne

#10 Le 14/01/2013, à 08:54

ljere

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

pour mettre à jour tu peux essayer de passer par le ppa suivant
https://launchpad.net/~philip5/+archive/extra


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#11 Le 14/01/2013, à 15:38

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

ljere a écrit :

pour mettre à jour tu peux essayer de passer par le ppa suivant
https://launchpad.net/~philip5/+archive/extra

Merci beaucoup Ljere!

Peux-tu me rappeler la procédure pour utiliser ce ppa?

J.

Hors ligne

#12 Le 14/01/2013, à 15:40

tiramiseb

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

C'est décrit dans la page du PPA (lien "Read about installing") :

sudo add-apt-repository ppa:philip5/extra

Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#13 Le 14/01/2013, à 16:02

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

tiramiseb a écrit :

C'est décrit dans la page du PPA (lien "Read about installing") :

sudo add-apt-repository ppa:philip5/extra

Merci. Je suis au boulot et ne pourrai essayer cela que ce soir. Dès que c'est fait, Je réponds et donne le résultat de l'opération. Je croise les doigts.

Hors ligne

#14 Le 14/01/2013, à 21:03

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Judith a écrit :
tiramiseb a écrit :

C'est décrit dans la page du PPA (lien "Read about installing") :

sudo add-apt-repository ppa:philip5/extra

Merci. Je suis au boulot et ne pourrai essayer cela que ce soir. Dès que c'est fait, Je réponds et donne le résultat de l'opération. Je croise les doigts.

Voila ce que le terminal dit:

You are about to add the following PPA to your system:
 Ubuntu experimental rolling release repository.

Mainly assorted media apps and other programs that I use myself or by requests. 
 More info: https://launchpad.net/~philip5/+archive/extra
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: le porte-clés `/tmp/tmpl5Vwb6/secring.gpg` a été créé
gpg: le porte-clés `/tmp/tmpl5Vwb6/pubring.gpg` a été créé
gpg: requête de la clé 43C56F3F du serveur hkp keyserver.ubuntu.com
gpg: /tmp/tmpl5Vwb6/trustdb.gpg: base de confiance créée
gpg: clé 43C56F3F: clé publique « Launchpad extra » importée
gpg: Quantité totale traitée: 1
gpg:               importée: 1  (RSA: 1)
OK

Hors ligne

#15 Le 14/01/2013, à 21:07

ljere

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

il te reste à faire

sudo apt-get update && sudo apt-get upgrade

Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#16 Le 14/01/2013, à 21:10

Shanx

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

ljere a écrit :

il te reste à faire

sudo apt-get update && sudo apt-get upgrade

Ça ne risque pas de poser problème s’il y a d’autres logiciels installés sur l’ordi dans le ppa ?


« En vérité, je ne voyage pas, moi, pour atteindre un endroit précis, mais pour marcher : simple plaisir de voyager. » R. L. Stevenson
--
Blog et randos

Hors ligne

#17 Le 14/01/2013, à 21:12

ljere

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

vu que c'est un ppa pour kde et qu'elle n'utilise apparemment que celui ci de kde je ne pense pas dans le pire des cas ils seront aussi mis à jour


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#18 Le 14/01/2013, à 21:54

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Bon, j'ai fait tout cela et suis passée carrément à la version 2.0.8!!!

Showfoto fonctionne apparemment bien mais Digikam, bien que s'ouvrant, ne reconnaît pas les fichiers installés sur mon PC. C'est très bizarre. J'ai envoyé le rapport de bogue.

Hors ligne

#19 Le 15/01/2013, à 08:27

ljere

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

dis moi quand tu as installé digikam tu as bien installé kipi-plugins
sinon il faut faire

sudo apt-get install kipi-plugins

quand tu lances digikam dans le terminal tu as quoi comme retour


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#20 Le 15/01/2013, à 13:01

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

ljere a écrit :

dis moi quand tu as installé digikam tu as bien installé kipi-plugins
sinon il faut faire

sudo apt-get install kipi-plugins

quand tu lances digikam dans le terminal tu as quoi comme retour

Bonjour,

Toujours ce même message, sauf que maintenant, comme je l'ai écrit, les version 2.0.8 de Digikam et de Showfoto s'ouvrent normalement, Showfoto fonctionne parfaitement, ce qui me convient, mais Digikam semble ne pas pouvoir analyser les fichiers présents sur mon PC. Les Kipi-Plugins étaient bien installés.

$ digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(13081)/digikam (core): Schema update to V6 failed! 

Dernière modification par Judith (Le 15/01/2013, à 13:01)

Hors ligne

#21 Le 15/01/2013, à 13:02

tiramiseb

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

On a donc toujours le même message d'erreur.
Plutôt que de chercher à réinstaller des versions différentes, peut-être faut-il chercher pourquoi il dit que la connexion "ConnectionTest" est "toujours utilisée".

Malheureusement, je ne connais pas assez Digikam et les bibliothèques KDE pour comprendre de quoi ce message parle précisément...


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#22 Le 15/01/2013, à 14:38

ljere

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

en faisant une recherche à partir des mots clés connetcion test digikam j'ai trouvé que ce paquet est aussi necessaire "libqt4-sql-mysql"

sudo apt-get install libqt4-sql-mysql

puis cette page qui propose de reconfigurer la base de donnée
http://ymartin59.free.fr/wordpress/inde … -be-fixed/
je pense que ce sont de bonnes pistes qu'en penses tu tiramiseb?


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#23 Le 15/01/2013, à 14:50

tiramiseb

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

Je pense que si Digikam a besoin de ce paquet alors il doit déjà être installé.

Je ne pense pas que tu as le même problème que celui que cette personne rencontre : si c'était ça, tu aurais eu le même message d'erreur.

Tu peux toujours tenter ce qu'il a fait : ça ne me semble pas dangereux pour tes données.


Sébastien Maccagnoni-Munch - administrateur Linux depuis le XXème siècle
Consultant informatique indépendant - http://www.smm-informatique.fr
Geek et tout plein d'autres choses - http://www.tiramiseb.fr

En ligne

#24 Le 15/01/2013, à 22:31

Judith

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

En fait, le paquet était déjà installé!

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libqt4-sql-mysql est déjà la plus récente version disponible.
libqt4-sql-mysql passé en « installé manuellement ».
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Hors ligne

#25 Le 15/01/2013, à 22:45

ljere

Re : Aidez-moi à mettre ma version de DIgikam et de Showfoto à jour

et que donne la reconfiguration de ta base de donnée


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

Haut de page ↑